export interface BabelPresetTypescriptOptions {
    allExtensions?: boolean;
    allowDeclareFields?: boolean;
    allowNamespaces?: boolean;
    jsxPragma?: string;
    isTSX?: boolean;
    onlyRemoveTypeImports?: boolean;
}
export interface BabelPresetReactOptions {
    runtime?: 'classic' | 'automatic';
    development?: boolean;
    throwIfNamespace?: boolean;
    importSource?: string;
    pragma?: string;
    pragmaFrag?: string;
    useBuiltIns?: boolean;
    useSpread?: boolean;
}
export interface BabelPresetEnvOptions {
    targets?: string | string[] | {
        esmodules?: boolean;
        node?: string;
        safari?: string;
        browsers?: string | string[];
    };
    bugfixes?: boolean;
    spec?: boolean;
    loose?: boolean;
    modules?: 'amd' | 'umd' | 'systemjs' | 'commonjs' | 'cjs' | 'auto' | false;
    debug?: boolean;
    include?: Array<string | RegExp>;
    exclude?: Array<string | RegExp>;
    useBuiltIns?: 'usage' | 'entry' | false;
    corejs?: 2 | 3 | {
        version: 2 | 3;
        proposals: boolean;
    };
    forceAllTransforms?: boolean;
    configPath?: string;
    ignoreBrowserslistConfig?: boolean;
    shippedProposals?: boolean;
}
declare type Item = string | [string, unknown];
export declare type BabelPlugins = Item[];
export declare type BabelPresets = Item[];
export interface BabelConfig {
    plugins?: BabelPlugins;
    presets?: BabelPresets;
    ignore?: string[];
}
export {};
